### Method

# Gtk Widget set_visible

#### Declaration [src]

    void
    gtk_widget_set_visible (
      GtkWidget* widget,
      gboolean visible
    )

#### Description [src]

Sets the visibility state of `widget`.

Note that setting this to `TRUE` doesn’t mean the widget is actually viewable, see gtk_widget_get_visible().

This function simply calls gtk_widget_show() or gtk_widget_hide() but is nicer to use when the visibility of the widget depends on some condition.

Sets property | `Gtk.Widget:visible`

#### Parameters

`visible` | `gboolean`
| Whether the widget should be shown or not.